# Interface IRuntimeClasspathEntryResolver2

All Superinterfaces:
  `IRuntimeClasspathEntryResolver`

public interface IRuntimeClasspathEntryResolver2 extends IRuntimeClasspathEntryResolver
Optional enhancements to `IRuntimeClasspathEntryResolver`.

Clients may implement this interface.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isVMInstallReference(IClasspathEntry entry)`
Returns whether the given classpath entry references a VM install.

### Methods inherited from interface IRuntimeClasspathEntryResolver

`resolveRuntimeClasspathEntry, resolveRuntimeClasspathEntry, resolveRuntimeClasspathEntry, resolveVMInstall`

## Method Details

### isVMInstallReference

boolean isVMInstallReference(IClasspathEntry entry)
Returns whether the given classpath entry references a VM install.

Parameters:
  `entry` - classpath entry
Returns:
  whether the given classpath entry references a VM install